QGIS Application - Feature request #10146
Add appropriate colour ramps to results of analyses
2014-05-01 12:26 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Processing/Core

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 18604
Description

One of the many features | like a lot in GRASS is that an appropriate colour ramp is automatically applied to the results of analyses, when
feasible and appropriate (e.g. greyscale for aspect, rainbow for slope, etc.).
Adding this to Processing seems simple, and it would add much to the readability of results.

Related issues:
Related to QGIS Application - Feature request # 17961: Allow algorithms to se... Closed 2018-01-25

History

#1 - 2014-05-01 03:18 AM - Victor Olaya
- Status changed from Open to Feedback

Do you know that you can set the rendering to use for the outputs of Processing? You can set a global one, and also a specific one for each algorithm.

Do you mean adding some symbology by default (now by defaut it does nothing)?

#2 - 2014-05-01 04:32 AM - Paolo Cavallini

Yes, exactly.

#3 - 2015-06-07 04:04 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core

#4 - 2016-02-18 11:13 AM - Alexander Bruy

Hmm, how we can determine when and which colorramp to apply?

#5 - 2016-02-18 10:45 PM - Paolo Cavallini

The idea is to add the capability of adding one default ramp for each analysis, then decide which one is more appropriate for it.

See how GRASS does it: greyscale for aspect, coloured for slope, etc.

#6 - 2016-12-24 01:58 AM - Paolo Cavallini

Also useful for the recently added shortest path algs.
#7 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#8 - 2018-01-27 08:09 AM - Alexander Bruy

- Related to Feature request #17961: Allow algorithms to set style and layer options for outputs added

#9 - 2018-02-24 04:11 PM - Paolo Cavallini
- Description updated

- Assignee deleted (Victor Olaya)

- Priority changed from Normal to Low

#10 - 2018-02-24 04:46 PM - Paolo Cavallini
- Resolution set to duplicate
- Status changed from Feedback to Closed

See #17961, more comprehensive
